Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInfo Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ClientRequestInfo:

[legend]
Collaboration diagram for PortableInterceptor::ClientRequestInfo:

[legend]
List of all members.

## Public Types
typedef ClientRequestInfo_ptr | _ptr_type
typedef ClientRequestInfo_var | _var_type
## Public Methods
virtual CORBA::Object_ptr | target (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Object_ptr | effective_target (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::IOP::TaggedProfile * | effective_profile (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Any * | received_exception (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | received_exception_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::IOP::TaggedComponent * | get_effective_component (IOP::ComponentId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::IOP::TaggedComponentSeq * | get_effective_components (IOP::ComponentId id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::Policy_ptr | get_request_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_request_service_context (const IOP::ServiceContext &service_context, CORBA::Boolean replace ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
ClientRequestInfo_ptr | _duplicate (ClientRequestInfo_ptr obj)
ClientRequestInfo_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
ClientRequestInfo_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientRequestInfo_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| ClientRequestInfo (void)
virtual | ~ClientRequestInfo (void)
## Private Methods
| ClientRequestInfo (const ClientRequestInfo &)
void | operator= (const ClientRequestInfo &)

## Member Typedef Documentation

typedef ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo::_ptr_type

| Reimplemented from PortableInterceptor::RequestInfo.

typedef ClientRequestInfo_var PortableInterceptor::ClientRequestInfo::_var_type

| Reimplemented from PortableInterceptor::RequestInfo.

## Constructor & Destructor Documentation

PortableInterceptor::ClientRequestInfo::ClientRequestInfo | ( | void |  | ) | `[protected]`

PortableInterceptor::ClientRequestInfo::~ClientRequestInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ClientRequestInfo::ClientRequestInfo | ( | const ClientRequestInfo & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo::_duplicate | ( | ClientRequestInfo_ptr | obj | ) | `[static]`

const char * PortableInterceptor::ClientRequestInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::RequestInfo.

virtual CORBA::Boolean PortableInterceptor::ClientRequestInfo::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from PortableInterceptor::RequestInfo.

ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from PortableInterceptor::RequestInfo.

ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::RequestInfo.

void PortableInterceptor::ClientRequestInfo::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from PortableInterceptor::RequestInfo.

ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::RequestInfo.

virtual void PortableInterceptor::ClientRequestInfo::add_request_service_context | ( | const IOP::ServiceContext & | service_context,
|  | CORBA::Boolean replace | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::IOP::TaggedProfile* PortableInterceptor::ClientRequestInfo::effective_profile | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Object_ptr PortableInterceptor::ClientRequestInfo::effective_target | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::IOP::TaggedComponent* PortableInterceptor::ClientRequestInfo::get_effective_component | ( | IOP::ComponentId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::IOP::TaggedComponentSeq* PortableInterceptor::ClientRequestInfo::get_effective_components | ( | IOP::ComponentId id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual ::CORBA::Policy_ptr PortableInterceptor::ClientRequestInfo::get_request_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

CORBA::Boolean PortableInterceptor::ClientRequestInfo::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from PortableInterceptor::RequestInfo.

void PortableInterceptor::ClientRequestInfo::operator= | ( | const ClientRequestInfo & |  | ) | `[private]`

virtual CORBA::Any* PortableInterceptor::ClientRequestInfo::received_exception | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual char* PortableInterceptor::ClientRequestInfo::received_exception_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

virtual CORBA::Object_ptr PortableInterceptor::ClientRequestInfo::target | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ClientRequestInfo.

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp